

layout(location = 0, index = 0) out vec4 outcol0;

uniform sampler2D tex0;

in vec2 texcoord0_nm;

void main()
{
	vec4 samplecol = texture( tex0, texcoord0_nm );
	if ( samplecol.a < (1.0f / 255.0) )
		discard;
	outcol0 = vec4( samplecol.rgb * samplecol.a, 1.0-samplecol.a ); //premult alpha
	//outcol0 = vec4( 0, 1, 0, 1 );
}
